Đến nội dung


Hình ảnh
- - - - -

Tính san lấp


  • Please log in to reply
6 replies to this topic

#1 sakurayuki

sakurayuki

    biết vẽ line

  • Members
  • PipPip
  • 20 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 06 March 2008 - 05:33 PM

Mình thường xuyên phải tính diện tích các ao mương san lấp nhưng file khảo sát về các đường người ta vẽ bằng SPLINE nên mình không dùng các lisp ở trên diễn đàn tính được, mỗi khi tính phải bo vùng kín lại bằng lệnh PLINE rồi dùng lệnh AREA (Vì mình còn tính cả chu vi nữa) mất rất nhiêug thời gian. Mình mong muốn các bạn viết dùm mình 1 lisp khi ta chọn một vùng kín (vùng kín vẽ bằng PLINE vì mình nghĩ SPLINE chắc không được) thì sẽ điền diện tích và chu vi vùng kín lên bản vẽ. Rất mong các bạn giúp đỡ. Cảm ơn trước hen!!!
  • 0
Cảm ơn đời mỗi sớm mai thức dậy
Cho ta thêm một ngày để yêu thương

--------------------------------------
Luôn luôn lắng nghe lâu lâu mới hiểu!!!

#2 se7en

se7en

    biết vẽ ellipse

  • Members
  • PipPip
  • 52 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 06 March 2008 - 07:33 PM

Mình thường xuyên phải tính diện tích các ao mương san lấp nhưng file khảo sát về các đường người ta vẽ bằng SPLINE nên mình không dùng các lisp ở trên diễn đàn tính được, mỗi khi tính phải bo vùng kín lại bằng lệnh PLINE rồi dùng lệnh AREA (Vì mình còn tính cả chu vi nữa) mất rất nhiêug thời gian. Mình mong muốn các bạn viết dùm mình 1 lisp khi ta chọn một vùng kín (vùng kín vẽ bằng PLINE vì mình nghĩ SPLINE chắc không được) thì sẽ điền diện tích và chu vi vùng kín lên bản vẽ. Rất mong các bạn giúp đỡ. Cảm ơn trước hen!!!

SPL vẫn có thế tính diện tích bình thường mà, bạn đâu cần fải bo vùng kín bằng pline mà bo bằng pling thì nếu phạm vi lớn sẽ thiếu chính xác. Bạn dùng tham số Object trong lệnh Area sẽ tính được diện tích và chu vi của 1 spline kín.
còn lisp như bạn yêu cầu bạn có thể search trong diễn đàn vì đã có bài viết đề cập đến vđề này.
  • 0
Mê xe và súng
Thích để súng trong xe

#3 sakurayuki

sakurayuki

    biết vẽ line

  • Members
  • PipPip
  • 20 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 06 March 2008 - 10:23 PM

Cảm ơn se7en nhé chắc mình nói không rõ nên bạn không hiểu hết ý mình. Ví dụ tuyến đường mình đi qua một cái ao, cái ao vẽ bằng SPLINE còn đường đi qua ao vẽ bằng đường PLINE, lúc này áo ao chỉ san lấp một phần mình muốn tính chu vi và diện tích của phần san lấp. Nếu không bo lại cho kín thì không tính được chu vi và diện tích... Rất mong giúp đỡ của các bạn trong diễn dàn!
  • 0
Cảm ơn đời mỗi sớm mai thức dậy
Cho ta thêm một ngày để yêu thương

--------------------------------------
Luôn luôn lắng nghe lâu lâu mới hiểu!!!

#4 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 07 March 2008 - 08:01 AM

Cảm ơn se7en nhé chắc mình nói không rõ nên bạn không hiểu hết ý mình. Ví dụ tuyến đường mình đi qua một cái ao, cái ao vẽ bằng SPLINE còn đường đi qua ao vẽ bằng đường PLINE, lúc này áo ao chỉ san lấp một phần mình muốn tính chu vi và diện tích của phần san lấp. Nếu không bo lại cho kín thì không tính được chu vi và diện tích... Rất mong giúp đỡ của các bạn trong diễn dàn!

1) Bạn xem ở đây:
http://www.cadviet.com/forum/index.php?showtopic=2158
Lần sau bạn hãy search trước khi nêu vấn đề nhé. Phần nào cũng thông cảm cho bạn vì các bài viết trên diễn đàn hiện nay khá nhiều. Nhưng với chức năng Tìm kiếm của diễn đàn, bạn chịu khó một chút chắc sẽ tìm thấy cái mình cần.

2) Bạn muốn ghi kết quả ra màn hình thì dùng lisp này (cứ để nguyên spline mà "chơi", không cần, và không nên chuyển sang pline):

;;;-------------------------------------------------------
(defun wtxt (txt p / sty d h) ;;;Write txt on graphic screen
(setq
sty (getvar "textstyle")
d (tblsearch "style" sty)
h (cdr (assoc 40 d))
)
(entmake (list (cons 0 "TEXT") (cons 7 sty) (cons 1 txt) (cons 10 p)
(if (> h 0) (cons 40 h) (assoc 40 d)) (assoc 41 d))
)
)
;;;-------------------------------------------------------
(defun C:ARE( / p S Pe)
(setq
p (getpoint "\nPick a internal point:")
oldos (getvar "osmode")
)
(setvar "osmode" 0)
(command "boundary" p "" "Y")
(command "area" "o" (entlast))
(setq
S (getvar "area")
Pe (getvar "perimeter")
)
(command "erase" (entlast) "")
(wtxt (strcat "S= " (rtos S) " P= " (rtos Pe)) p)
(setvar "osmode" oldos)
(princ)
)
;;;-------------------------------------------------------

  • 0

#5 sakurayuki

sakurayuki

    biết vẽ line

  • Members
  • PipPip
  • 20 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 08 March 2008 - 01:14 AM

Thanks ssg!!!
  • 0
Cảm ơn đời mỗi sớm mai thức dậy
Cho ta thêm một ngày để yêu thương

--------------------------------------
Luôn luôn lắng nghe lâu lâu mới hiểu!!!

#6 huyquy513

huyquy513

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 04 April 2008 - 02:57 PM

Cảm ơn se7en nhé chắc mình nói không rõ nên bạn không hiểu hết ý mình. Ví dụ tuyến đường mình đi qua một cái ao, cái ao vẽ bằng SPLINE còn đường đi qua ao vẽ bằng đường PLINE, lúc này áo ao chỉ san lấp một phần mình muốn tính chu vi và diện tích của phần san lấp. Nếu không bo lại cho kín thì không tính được chu vi và diện tích... Rất mong giúp đỡ của các bạn trong diễn dàn!

thì bạn "Bo"+ lệnh "Li" là biết diện tích còn gì
  • 0

#7 anhducna

anhducna

    biết vẽ arc

  • Members
  • PipPip
  • 40 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 04 April 2008 - 04:29 PM

chú quý à
  • 0